libzypp: zypp::target::FindFileConflictstReport Class Reference

libzypp 17.38.7

zypp::target::FindFileConflictstReport Class Reference

Check for package file conflicts in commit (after download). More...

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::target::FindFileConflictstReport:

## Public Member Functions
virtual bool | start (const ProgressData &progress_r)
virtual bool | progress (const ProgressData &progress_r, const sat::Queue &noFilelist_r)
virtual bool | result (const ProgressData &progress_r, const sat::Queue &noFilelist_r, const sat::FileConflicts &conflicts_r)
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Additional Inherited Members
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Detailed Description

Check for package file conflicts in commit (after download).

File conflict check requires that all packages are downloaded and now available in the cache (need to access the filelists). Missing packages are omitted from check and their number is reported in noFilelist_r. This usually happens if download mode 'as-needed' is used.

Definition at line 558 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual bool zypp::target::FindFileConflictstReport::start | ( | const ProgressData & | progress_r | ) |
| inlinevirtual

Parameters

  progress_r | Progress counter for packages to check.

Returns
  `true` to continue, `false` upon user abort request.

Definition at line 564 of file ZYppCallbacks.h.

## ◆ progress()

virtual bool zypp::target::FindFileConflictstReport::progress | ( | const ProgressData & | progress_r,
|  | const sat::Queue & | noFilelist_r )
| inlinevirtual

Parameters

  progress_r | Progress counter for packages to check.
  noFilelist_r | Queue of so far skipped solvables (no filelist/not yet downloaded).

Returns
  `true` to continue, `false` upon user abort request.

Definition at line 572 of file ZYppCallbacks.h.

## ◆ result()

virtual bool zypp::target::FindFileConflictstReport::result | ( | const ProgressData & | progress_r,
|  | const sat::Queue & | noFilelist_r,
|  | const sat::FileConflicts & | conflicts_r )
| inlinevirtual

Parameters

  progress_r | Progress counter for packages to check.
  noFilelist_r | Queue of skipped solvables (no filelist/not yet downloaded).
  conflicts_r | File conflits queue.

Returns
  `true` to continue, `false` upon user abort request.

Definition at line 581 of file ZYppCallbacks.h.

The documentation for this class was generated from the following file:

- zypp/ZYppCallbacks.h